Xalan-Java: Class StringToStringTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class StringToStringTable

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.StringToStringTable

public class StringToStringTable
extends java.lang.Object
implements java.io.Serializable

**For internal use only** A very simple lookup table that stores a list of strings, the even number strings being keys, and the odd number strings being values.

See Also:
  Serialized Form

Constructor Summary
`StringToStringTable()` **For internal use only** Default constructor.
`StringToStringTable(int blocksize)` **For internal use only** Construct a StringToStringTable, using the given block size.

Method Summary
`boolean` | `contains(java.lang.String key)` **For internal use only** Tell if the table contains the given string.
`boolean` | `containsValue(java.lang.String val)` **For internal use only** Tell if the table contains the given string.
`java.lang.String` | `elementAt(int i)` **For internal use only** Get the nth element.
`java.lang.String` | `get(java.lang.String key)` **For internal use only** Tell if the table contains the given string.
`java.lang.String` | `getByValue(java.lang.String val)` **For internal use only** Tell if the table contains the given string in the value.
`java.lang.String` | `getIgnoreCase(java.lang.String key)` **For internal use only** Tell if the table contains the given string.
`int` | `getLength()` **For internal use only** Get the length of the list.
`void` | `put(java.lang.String key, java.lang.String value)` **For internal use only** Append a string onto the vector.
`void` | `remove(java.lang.String key)` **For internal use only** Tell if the table contains the given string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToStringTable

    public StringToStringTable()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### StringToStringTable

    public StringToStringTable(int blocksize)

  **For internal use only** Construct a StringToStringTable, using the given block size.

Method Detail

### getLength

    public final int getLength()

  **For internal use only** Get the length of the list.

### put

    public final void put(java.lang.String key,
                          java.lang.String value)

  **For internal use only** Append a string onto the vector.

### get

    public final java.lang.String get(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

### remove

    public final void remove(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

### getIgnoreCase

    public final java.lang.String getIgnoreCase(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

### getByValue

    public final java.lang.String getByValue(java.lang.String val)

  **For internal use only** Tell if the table contains the given string in the value.

### elementAt

    public final java.lang.String elementAt(int i)

  **For internal use only** Get the nth element.

### contains

    public final boolean contains(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

### containsValue

    public final boolean containsValue(java.lang.String val)

  **For internal use only** Tell if the table contains the given string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.